summaryrefslogtreecommitdiff
path: root/test/script/run-vint
diff options
context:
space:
mode:
Diffstat (limited to 'test/script/run-vint')
-rwxr-xr-xtest/script/run-vint18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/script/run-vint b/test/script/run-vint
new file mode 100755
index 00000000..e1140307
--- /dev/null
+++ b/test/script/run-vint
@@ -0,0 +1,18 @@
+#!/bin/bash -eu
+
+exit_code=0
+image=w0rp/ale
+docker_flags=(--rm -v "$PWD:/testplugin" -v "$PWD/test:/home" -w /testplugin "$image")
+
+echo '========================================'
+echo 'Running Vint to lint our code'
+echo '========================================'
+echo 'Vint warnings/errors follow:'
+echo
+
+set -o pipefail
+docker run -a stdout "${docker_flags[@]}" vint -s . || exit_code=$?
+set +o pipefail
+echo
+
+exit $exit_code